* {
   padding: 0;
   margin: 0;
   box-sizing: border-box;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.main {
  height: 500px;
  position: fixed;
  top: 20px;
  right: 20px;
  display: flex;
  flex-direction: column;
}

.message {
  padding: 10px 15px;
  background-color: #fff;
  width: fit-content;
  display: flex;
  gap: 0 15px;
  border-radius: 2px;
  border-left: 4px solid;
  margin-bottom: 10px;
  box-shadow: 0px 5px 8px rgba(0, 0, 0, 0.08);
  margin-bottom: 10px;
  transition: all linear .3s;
}

@keyframes animationNot {
  from {
    opacity: 0;
    transform: translateX(calc(100% + 20px));
  }
  to {
    opacity: 1;
    transform: translateX(0)
  }
}

@keyframes hide {
  to {
    opacity: 0;
  }
}

p {
  font-size: 14px;
}

.message__icon {
  font-size: 24px;
}

.message--success .message__icon {
  color: #47d864;
}

.message--infor .message__icon {
  color: #2f06eb;
}

.message--warning .message__icon {
  color: #ffc021;
}

.message--success {
  border-color: #47d864;
}

.message--infor {
  border-color: #2f06eb;
}

.message--warning {
  border-color: #ffc021;
}

.message__close {
  font-size: 20px;
  color: rgba(0, 0, 0, 0.3);
  cursor: pointer;
}

.btn {
  margin-top: 300px;
  display: flex;
  justify-content: space-between;
}

.btn__display {
  margin: 10px;
  padding: 10px 40px;
  border-radius: 10px;
  color: #fff;
  cursor: pointer;
  
}

.btn__success {
  background-color: #47d864;
}

.btn__info {
  background-color: #2f06eb;
}

.btn__warning {
  background-color: #ffc021;
}

